### Class

# RB RhythmDBPropertyModel

#### Description [src]

    class RB.RhythmDBPropertyModel : GObject.Object
      implements Gtk.TreeModel {
      RhythmDBPropertyModelPrivate* priv
    }

A RhythmDBPropertyModel groups the entries in a `RhythmDBQueryModel` by the value of a property. For example, a RhythmDBPropertyModel using the RHYTHMDB_PROP_ARTIST property can be used as the model for a `GtkTreeView` that will list the artists present in the query model.

The album/artist/genre browsers displayed in the library and other sources are populated using a RhythmDBPropertyModel for each property.

#### Ancestors

- GObject

#### Implements

- GtkTreeModel

#### Constructors

###### rhythmdb_property_model_new

Creates a new property model for the specified property ID.

#### Instance methods

###### rhythmdb_property_model_enable_drag

Enables drag and drop from a specified `GtkTreeView` that is backed by the `RhythmDBPropertyModel`. Drag targets are determined by the indexed property.

###### rhythmdb_property_model_iter_from_string

Locates the row in the model for a property value.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkTreeModel (28)

Please see GtkTreeModel for a full list of methods.

#### Properties

###### RB.RhythmDBPropertyModel:db

The `RhythmDB` object the model is associated with.

###### RB.RhythmDBPropertyModel:prop

The property that this property model indexes.

###### RB.RhythmDBPropertyModel:query-model

The query model that this property model indexes.

#### Signals

###### RB.RhythmDBPropertyModel::pre-row-deletion

Emitted just before a row is deleted from the model.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GtkTreeModel (5)

###### GtkTreeModel::row-changed

This signal is emitted when a row in the model has changed.

###### GtkTreeModel::row-deleted

This signal is emitted when a row has been deleted.

###### GtkTreeModel::row-has-child-toggled

This signal is emitted when a row has gotten the first child row or lost its last child row.

###### GtkTreeModel::row-inserted

This signal is emitted when a new row has been inserted in the model.

###### GtkTreeModel::rows-reordered

This signal is emitted when the children of a node in the `GtkTreeModel` have been reordered.

#### Class structure

    struct RBRhythmDBPropertyModelClass {
      GObjectClass parent;
      void (* pre_row_deletion) (
        RhythmDBPropertyModel* model
      );

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.

`pre_row_deletion: void (* pre_row_deletion) ( RhythmDBPropertyModel* model )`

  No description available.

#### Virtual methods

###### RB.RhythmDBPropertyModelClass.pre_row_deletion

No description available.